#include <stdio.h>

int main()
{
  int n, i, j;
  
  scanf("%d", &n);
  
  if(n>0)
  {
    for(i=1; i<=n; i++)
    {
      for(j=1; j>=(i+1)-(n-1); j--)
	printf(" ");
      for(j=1; j<=i-1; j++)
	printf("*A");
      if(j==i)
	printf("*");
      printf("\n");
    }
    
	
  }
  else
    printf("-1\n");
  
  return 0;
}